#! /usr/bin/env python3
import sys
import os
import csv

params = {"layers":[57, 57*2, 1], "test":"TestX.csv", "train":"Train.csv"}

def getData(srcF, isTrain=True):
    X,y=[],[]
    with open(srcF) as src:
        reader = csv.reader(src, delimiter=',')
        for i,row in enumerate(reader):
            end = -1 if isTrain else len(row)
            X.append(row[:end])
            
            #correct data type
            X[i] = [x for x in map(float, X[i][:-2])]
            X[i].extend([int(X[i][-2]),int(X[i][-1])])

            if isTrain:
                y.append(int(row[-1]))

    return (X,y)

if __name__ == "__main__":
    X,y = getData(params["train"])
    tX,ty = getData(params["test"], isTrain=False)

